&ANALYZE-SUSPEND _VERSION-NUMBER AB_v10r12 GUI
&ANALYZE-RESUME
&Scoped-define WINDOW-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS C-Win 
/* ============================================================================
                Copyright (C) : TVH Forklift Parts NV - Belgium
===============================================================================
FILE: .w
-------------------------------------------------------------------------------
PURPOSE:  
-------------------------------------------------------------------------------
NOTES:  
-------------------------------------------------------------------------------
HISTORY:
yyyy-mm-dd <username> edp  : Creation.
============================================================================ */

/* Create an unnamed pool to store all the widgets created 
     by this procedure. This is a good default which assures
     that this procedure's triggers and internal procedures 
     will execute in this procedure's storage, and that proper
     cleanup will occur on deletion of the procedure. */

CREATE WIDGET-POOL.

/* ***************************  Definitions  ************************** */


/* Parameters Definitions ---                                           */

/* Local Variable Definitions ---                                       */

DEFINE TEMP-TABLE ttControls NO-UNDO
  FIELD hWin AS HANDLE
  FIELD hOcx AS COMPONENT-HANDLE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Window
&Scoped-define DB-AWARE no

/* Name of first Frame and/or Browse and/or first Query                 */
&Scoped-define FRAME-NAME DEFAULT-FRAME

/* Custom List Definitions                                              */
/* List-1,List-2,List-3,List-4,List-5,List-6                            */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* ***********************  Control Definitions  ********************** */

/* Define the widget handle for the window                              */
DEFINE VAR C-Win AS WIDGET-HANDLE NO-UNDO.

/* Definitions of handles for OCX Containers                            */
DEFINE VARIABLE CtrlFrame-1 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-1 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-10 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-10 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-11 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-11 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-12 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-12 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-13 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-13 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-14 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-14 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-15 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-15 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-16 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-16 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-17 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-17 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-18 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-18 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-19 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-19 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-2 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-2 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-20 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-20 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-21 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-21 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-22 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-22 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-23 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-23 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-24 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-24 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-25 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-25 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-26 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-26 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-27 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-27 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-28 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-28 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-29 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-29 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-3 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-3 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-30 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-30 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-31 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-31 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-32 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-32 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-33 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-33 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-34 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-34 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-35 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-35 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-36 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-36 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-37 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-37 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-38 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-38 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-39 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-39 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-4 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-4 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-40 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-40 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-5 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-5 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-6 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-6 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-7 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-7 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-8 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-8 AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE CtrlFrame-9 AS WIDGET-HANDLE NO-UNDO.
DEFINE VARIABLE chCtrlFrame-9 AS COMPONENT-HANDLE NO-UNDO.

/* ************************  Frame Definitions  *********************** */

DEFINE FRAME DEFAULT-FRAME
    WITH 1 DOWN NO-BOX KEEP-TAB-ORDER OVERLAY 
         SIDE-LABELS NO-UNDERLINE THREE-D 
         AT COL 1 ROW 1
         SIZE 139 BY 16 WIDGET-ID 100.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Window
   Allow: Basic,Browse,DB-Fields,Window,Query
   Other Settings: COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
IF SESSION:DISPLAY-TYPE = "GUI":U THEN
  CREATE WINDOW C-Win ASSIGN
         HIDDEN             = YES
         TITLE              = "Test Windows Captions"
         HEIGHT             = 16
         WIDTH              = 139
         MAX-HEIGHT         = 16
         MAX-WIDTH          = 139
         VIRTUAL-HEIGHT     = 16
         VIRTUAL-WIDTH      = 139
         SHOW-IN-TASKBAR    = no
         RESIZE             = yes
         SCROLL-BARS        = no
         STATUS-AREA        = no
         BGCOLOR            = ?
         FGCOLOR            = ?
         KEEP-FRAME-Z-ORDER = yes
         THREE-D            = yes
         MESSAGE-AREA       = no
         SENSITIVE          = yes.
ELSE {&WINDOW-NAME} = CURRENT-WINDOW.
/* END WINDOW DEFINITION                                                */
&ANALYZE-RESUME



/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR WINDOW C-Win
  NOT-VISIBLE,,RUN-PERSISTENT                                           */
/* SETTINGS FOR FRAME DEFAULT-FRAME
                                                                        */
IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
THEN C-Win:HIDDEN = no.

/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME

 


/* **********************  Create OCX Containers  ********************** */

&ANALYZE-SUSPEND _CREATE-DYNAMIC

&IF "{&OPSYS}" = "WIN32":U AND "{&WINDOW-SYSTEM}" NE "TTY":U &THEN

CREATE CONTROL-FRAME CtrlFrame-1 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 1
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 12
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-2 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 6
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 18
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-3 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 11
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 20
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-4 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 16
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 22
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-8 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 21
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 24
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-5 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 26
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 26
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-6 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 31
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 28
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-7 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 1
       COLUMN          = 36
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 30
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-9 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 1
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 32
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-10 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 6
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 34
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-11 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 11
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 36
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-12 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 16
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 38
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-13 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 21
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 46
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-14 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 26
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 40
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-15 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 31
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 42
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-16 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 2.43
       COLUMN          = 36
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 44
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-17 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 1
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 48
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-18 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 6
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 50
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-19 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 11
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 52
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-20 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 16
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 54
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-21 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 21
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 62
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-22 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 26
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 56
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-23 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 31
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 58
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-24 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 3.62
       COLUMN          = 36
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 60
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-25 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 1
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 64
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-26 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 6
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 66
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-27 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 11
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 68
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-28 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 16
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 70
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-29 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 21
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 78
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-30 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 26
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 72
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-31 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 31
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 74
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-32 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 4.81
       COLUMN          = 36
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 76
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-33 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 1
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 82
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-34 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 6
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 84
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-35 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 11
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 86
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-36 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 16
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 88
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-37 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 21
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 90
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-38 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 26
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 92
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-39 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 31
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 94
       HIDDEN          = yes
       SENSITIVE       = yes.

CREATE CONTROL-FRAME CtrlFrame-40 ASSIGN
       FRAME           = FRAME DEFAULT-FRAME:HANDLE
       ROW             = 6.24
       COLUMN          = 36
       HEIGHT          = 1.19
       WIDTH           = 5
       WIDGET-ID       = 96
       HIDDEN          = yes
       SENSITIVE       = yes.
/* CtrlFrame-1 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-2 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-3 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-4 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-8 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-5 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-6 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-7 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-9 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-10 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-11 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-12 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-13 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-14 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-15 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-16 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-17 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-18 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-19 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-20 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-21 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-22 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-23 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-24 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-25 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-26 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-27 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-28 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-29 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-30 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-31 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-32 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-33 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-34 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-35 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-36 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-37 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-38 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-39 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
/* CtrlFrame-40 OCXINFO:CREATE-CONTROL from: {3E0E9324-C743-11D0-8A5E-0020AFEEAE87} type: Msgblst32 */
      CtrlFrame-2:MOVE-AFTER(CtrlFrame-1).
      CtrlFrame-3:MOVE-AFTER(CtrlFrame-2).
      CtrlFrame-4:MOVE-AFTER(CtrlFrame-3).
      CtrlFrame-8:MOVE-AFTER(CtrlFrame-4).
      CtrlFrame-5:MOVE-AFTER(CtrlFrame-8).
      CtrlFrame-6:MOVE-AFTER(CtrlFrame-5).
      CtrlFrame-7:MOVE-AFTER(CtrlFrame-6).
      CtrlFrame-9:MOVE-AFTER(CtrlFrame-7).
      CtrlFrame-10:MOVE-AFTER(CtrlFrame-9).
      CtrlFrame-11:MOVE-AFTER(CtrlFrame-10).
      CtrlFrame-12:MOVE-AFTER(CtrlFrame-11).
      CtrlFrame-13:MOVE-AFTER(CtrlFrame-12).
      CtrlFrame-14:MOVE-AFTER(CtrlFrame-13).
      CtrlFrame-15:MOVE-AFTER(CtrlFrame-14).
      CtrlFrame-16:MOVE-AFTER(CtrlFrame-15).
      CtrlFrame-17:MOVE-AFTER(CtrlFrame-16).
      CtrlFrame-18:MOVE-AFTER(CtrlFrame-17).
      CtrlFrame-19:MOVE-AFTER(CtrlFrame-18).
      CtrlFrame-20:MOVE-AFTER(CtrlFrame-19).
      CtrlFrame-21:MOVE-AFTER(CtrlFrame-20).
      CtrlFrame-22:MOVE-AFTER(CtrlFrame-21).
      CtrlFrame-23:MOVE-AFTER(CtrlFrame-22).
      CtrlFrame-24:MOVE-AFTER(CtrlFrame-23).
      CtrlFrame-25:MOVE-AFTER(CtrlFrame-24).
      CtrlFrame-26:MOVE-AFTER(CtrlFrame-25).
      CtrlFrame-27:MOVE-AFTER(CtrlFrame-26).
      CtrlFrame-28:MOVE-AFTER(CtrlFrame-27).
      CtrlFrame-29:MOVE-AFTER(CtrlFrame-28).
      CtrlFrame-30:MOVE-AFTER(CtrlFrame-29).
      CtrlFrame-31:MOVE-AFTER(CtrlFrame-30).
      CtrlFrame-32:MOVE-AFTER(CtrlFrame-31).
      CtrlFrame-33:MOVE-AFTER(CtrlFrame-32).
      CtrlFrame-34:MOVE-AFTER(CtrlFrame-33).
      CtrlFrame-35:MOVE-AFTER(CtrlFrame-34).
      CtrlFrame-36:MOVE-AFTER(CtrlFrame-35).
      CtrlFrame-37:MOVE-AFTER(CtrlFrame-36).
      CtrlFrame-38:MOVE-AFTER(CtrlFrame-37).
      CtrlFrame-39:MOVE-AFTER(CtrlFrame-38).
      CtrlFrame-40:MOVE-AFTER(CtrlFrame-39).

&ENDIF

&ANALYZE-RESUME /* End of _CREATE-DYNAMIC */


/* ************************  Control Triggers  ************************ */

&Scoped-define SELF-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON END-ERROR OF C-Win /* Test Windows Captions */
OR ENDKEY OF {&WINDOW-NAME} ANYWHERE DO:
  /* This case occurs when the user presses the "Esc" key.
     In a persistently run window, just ignore this.  If we did not, the
     application would exit. */
  IF THIS-PROCEDURE:PERSISTENT THEN RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON WINDOW-CLOSE OF C-Win /* Test Windows Captions */
DO:
  /* This event will close the window and terminate the procedure.  */
  APPLY "CLOSE":U TO THIS-PROCEDURE.
  RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-1
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-1 C-Win OCX.Message
PROCEDURE CtrlFrame-1.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-10
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-10 C-Win OCX.Message
PROCEDURE CtrlFrame-10.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-11
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-11 C-Win OCX.Message
PROCEDURE CtrlFrame-11.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-12
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-12 C-Win OCX.Message
PROCEDURE CtrlFrame-12.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-13
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-13 C-Win OCX.Message
PROCEDURE CtrlFrame-13.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-14
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-14 C-Win OCX.Message
PROCEDURE CtrlFrame-14.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-15
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-15 C-Win OCX.Message
PROCEDURE CtrlFrame-15.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-16
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-16 C-Win OCX.Message
PROCEDURE CtrlFrame-16.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-17
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-17 C-Win OCX.Message
PROCEDURE CtrlFrame-17.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-18
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-18 C-Win OCX.Message
PROCEDURE CtrlFrame-18.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-19
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-19 C-Win OCX.Message
PROCEDURE CtrlFrame-19.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-2
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-2 C-Win OCX.Message
PROCEDURE CtrlFrame-2.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-20
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-20 C-Win OCX.Message
PROCEDURE CtrlFrame-20.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-21
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-21 C-Win OCX.Message
PROCEDURE CtrlFrame-21.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-22
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-22 C-Win OCX.Message
PROCEDURE CtrlFrame-22.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-23
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-23 C-Win OCX.Message
PROCEDURE CtrlFrame-23.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-24
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-24 C-Win OCX.Message
PROCEDURE CtrlFrame-24.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-25
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-25 C-Win OCX.Message
PROCEDURE CtrlFrame-25.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-26
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-26 C-Win OCX.Message
PROCEDURE CtrlFrame-26.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-27
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-27 C-Win OCX.Message
PROCEDURE CtrlFrame-27.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-28
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-28 C-Win OCX.Message
PROCEDURE CtrlFrame-28.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-29
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-29 C-Win OCX.Message
PROCEDURE CtrlFrame-29.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-3
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-3 C-Win OCX.Message
PROCEDURE CtrlFrame-3.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-30
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-30 C-Win OCX.Message
PROCEDURE CtrlFrame-30.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-31
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-31 C-Win OCX.Message
PROCEDURE CtrlFrame-31.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-32
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-32 C-Win OCX.Message
PROCEDURE CtrlFrame-32.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-33
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-33 C-Win OCX.Message
PROCEDURE CtrlFrame-33.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-34
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-34 C-Win OCX.Message
PROCEDURE CtrlFrame-34.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-35
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-35 C-Win OCX.Message
PROCEDURE CtrlFrame-35.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-36
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-36 C-Win OCX.Message
PROCEDURE CtrlFrame-36.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-37
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-37 C-Win OCX.Message
PROCEDURE CtrlFrame-37.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-38
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-38 C-Win OCX.Message
PROCEDURE CtrlFrame-38.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-39
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-39 C-Win OCX.Message
PROCEDURE CtrlFrame-39.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-4
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-4 C-Win OCX.Message
PROCEDURE CtrlFrame-4.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-40
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-40 C-Win OCX.Message
PROCEDURE CtrlFrame-40.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-5
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-5 C-Win OCX.Message
PROCEDURE CtrlFrame-5.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-6
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-6 C-Win OCX.Message
PROCEDURE CtrlFrame-6.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-7
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-7 C-Win OCX.Message
PROCEDURE CtrlFrame-7.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-8
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-8 C-Win OCX.Message
PROCEDURE CtrlFrame-8.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME CtrlFrame-9
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CtrlFrame-9 C-Win OCX.Message
PROCEDURE CtrlFrame-9.Msgblst32.Message .
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  Required for OCX.
    MsgVal
    wParam
    lParam
    lplRetVal
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT        PARAMETER p-MsgVal    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-wParam    AS INTEGER NO-UNDO.
DEFINE INPUT        PARAMETER p-lParam    AS INTEGER NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER p-lplRetVal AS INTEGER NO-UNDO.

IF VALID-HANDLE({&WINDOW-NAME}) THEN
  RUN redrawCaption.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&UNDEFINE SELF-NAME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK C-Win 


/* ***************************  Main Block  *************************** */
/* Set CURRENT-WINDOW: this will parent dialog-boxes and frames.        */
ASSIGN CURRENT-WINDOW                = {&WINDOW-NAME} 
       THIS-PROCEDURE:CURRENT-WINDOW = {&WINDOW-NAME}.

/* The CLOSE event can be used from inside or outside the procedure to  */
/* terminate it.                                                        */
ON CLOSE OF THIS-PROCEDURE 
   RUN disable_UI.

/* Best default for GUI applications is...                              */
PAUSE 0 BEFORE-HIDE.

/* Now enable the interface and wait for the exit condition.            */
/* (NOTE: handle ERROR and END-KEY so cleanup code will always fire.    */
MAIN-BLOCK:
DO ON ERROR   UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
   ON END-KEY UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK:
  RUN enable_UI.

  IF NOT THIS-PROCEDURE:PERSISTENT THEN
    WAIT-FOR CLOSE OF THIS-PROCEDURE.
END.

PROCEDURE GetParent EXTERNAL "user32.dll" :
  DEFINE INPUT  PARAMETER hWinHdl    AS LONG NO-UNDO.
  DEFINE RETURN PARAMETER hwndParent AS LONG NO-UNDO.
END PROCEDURE.

PROCEDURE GetWindowDC  EXTERNAL "user32.dll":
  DEFINE INPUT  PARAMETER hWnd        AS LONG.
  DEFINE RETURN PARAMETER ReturnValue   AS LONG.
END PROCEDURE.

PROCEDURE ReleaseDC    EXTERNAL "user32.dll":    
  DEFINE INPUT  PARAMETER hWnd          AS LONG.
  DEFINE INPUT  PARAMETER hDC           AS LONG.
  DEFINE RETURN PARAMETER ReturnValue   AS LONG.
END PROCEDURE.

PROCEDURE RoundRect EXTERNAL "gdi32.dll":
  DEFINE INPUT  PARAMETER hDc           AS LONG.
  DEFINE INPUT  PARAMETER nLeftRect     AS LONG.
  DEFINE INPUT  PARAMETER nTopRect      AS LONG.
  DEFINE INPUT  PARAMETER nRightRect    AS LONG.
  DEFINE INPUT  PARAMETER nBottomRect   AS LONG.
  DEFINE INPUT  PARAMETER nWidth        AS LONG.
  DEFINE INPUT  PARAMETER nHeight       AS LONG.
  DEFINE RETURN PARAMETER ReturnValue   AS SHORT.
END PROCEDURE. 

PROCEDURE SetWindowRgn EXTERNAL "user32.dll":
  DEFINE INPUT  PARAMETER hWnd        AS LONG.
  DEFINE INPUT  PARAMETER hRgn        AS LONG.
  DEFINE INPUT  PARAMETER bRedraw     AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.

PROCEDURE CreateSolidBrush EXTERNAL "gdi32.dll" :
  DEFINE INPUT  PARAMETER iIndex      AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.

PROCEDURE SelectObject EXTERNAL "gdi32.dll":
  DEFINE INPUT  PARAMETER hWnd        AS LONG.
  DEFINE INPUT  PARAMETER iBrush      AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.

PROCEDURE DeleteObject EXTERNAL "gdi32.dll":
  DEFINE INPUT  PARAMETER iBrush      AS LONG.
  DEFINE RETURN PARAMETER ReturnValue AS LONG.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE control_load C-Win  _CONTROL-LOAD
PROCEDURE control_load :
/*------------------------------------------------------------------------------
  Purpose:     Load the OCXs    
  Parameters:  <none>
  Notes:       Here we load, initialize and make visible the 
               OCXs in the interface.                        
------------------------------------------------------------------------------*/

&IF "{&OPSYS}" = "WIN32":U AND "{&WINDOW-SYSTEM}" NE "TTY":U &THEN
DEFINE VARIABLE UIB_S    AS LOGICAL    NO-UNDO.
DEFINE VARIABLE OCXFile  AS CHARACTER  NO-UNDO.

OCXFile = SEARCH( "wWinCaptions.wrx":U ).
IF OCXFile = ? THEN
  OCXFile = SEARCH(SUBSTRING(THIS-PROCEDURE:FILE-NAME, 1,
                     R-INDEX(THIS-PROCEDURE:FILE-NAME, ".":U), "CHARACTER":U) + "wrx":U).

IF OCXFile <> ? THEN
DO:
  ASSIGN
    chCtrlFrame-1 = CtrlFrame-1:COM-HANDLE
    UIB_S = chCtrlFrame-1:LoadControls( OCXFile, "CtrlFrame-1":U)
    CtrlFrame-1:NAME = "CtrlFrame-1":U
    chCtrlFrame-10 = CtrlFrame-10:COM-HANDLE
    UIB_S = chCtrlFrame-10:LoadControls( OCXFile, "CtrlFrame-10":U)
    CtrlFrame-10:NAME = "CtrlFrame-10":U
    chCtrlFrame-11 = CtrlFrame-11:COM-HANDLE
    UIB_S = chCtrlFrame-11:LoadControls( OCXFile, "CtrlFrame-11":U)
    CtrlFrame-11:NAME = "CtrlFrame-11":U
    chCtrlFrame-12 = CtrlFrame-12:COM-HANDLE
    UIB_S = chCtrlFrame-12:LoadControls( OCXFile, "CtrlFrame-12":U)
    CtrlFrame-12:NAME = "CtrlFrame-12":U
    chCtrlFrame-13 = CtrlFrame-13:COM-HANDLE
    UIB_S = chCtrlFrame-13:LoadControls( OCXFile, "CtrlFrame-13":U)
    CtrlFrame-13:NAME = "CtrlFrame-13":U
    chCtrlFrame-14 = CtrlFrame-14:COM-HANDLE
    UIB_S = chCtrlFrame-14:LoadControls( OCXFile, "CtrlFrame-14":U)
    CtrlFrame-14:NAME = "CtrlFrame-14":U
    chCtrlFrame-15 = CtrlFrame-15:COM-HANDLE
    UIB_S = chCtrlFrame-15:LoadControls( OCXFile, "CtrlFrame-15":U)
    CtrlFrame-15:NAME = "CtrlFrame-15":U
    chCtrlFrame-16 = CtrlFrame-16:COM-HANDLE
    UIB_S = chCtrlFrame-16:LoadControls( OCXFile, "CtrlFrame-16":U)
    CtrlFrame-16:NAME = "CtrlFrame-16":U
    chCtrlFrame-17 = CtrlFrame-17:COM-HANDLE
    UIB_S = chCtrlFrame-17:LoadControls( OCXFile, "CtrlFrame-17":U)
    CtrlFrame-17:NAME = "CtrlFrame-17":U
    chCtrlFrame-18 = CtrlFrame-18:COM-HANDLE
    UIB_S = chCtrlFrame-18:LoadControls( OCXFile, "CtrlFrame-18":U)
    CtrlFrame-18:NAME = "CtrlFrame-18":U
    chCtrlFrame-19 = CtrlFrame-19:COM-HANDLE
    UIB_S = chCtrlFrame-19:LoadControls( OCXFile, "CtrlFrame-19":U)
    CtrlFrame-19:NAME = "CtrlFrame-19":U
    chCtrlFrame-2 = CtrlFrame-2:COM-HANDLE
    UIB_S = chCtrlFrame-2:LoadControls( OCXFile, "CtrlFrame-2":U)
    CtrlFrame-2:NAME = "CtrlFrame-2":U
    chCtrlFrame-20 = CtrlFrame-20:COM-HANDLE
    UIB_S = chCtrlFrame-20:LoadControls( OCXFile, "CtrlFrame-20":U)
    CtrlFrame-20:NAME = "CtrlFrame-20":U
    chCtrlFrame-21 = CtrlFrame-21:COM-HANDLE
    UIB_S = chCtrlFrame-21:LoadControls( OCXFile, "CtrlFrame-21":U)
    CtrlFrame-21:NAME = "CtrlFrame-21":U
    chCtrlFrame-22 = CtrlFrame-22:COM-HANDLE
    UIB_S = chCtrlFrame-22:LoadControls( OCXFile, "CtrlFrame-22":U)
    CtrlFrame-22:NAME = "CtrlFrame-22":U
    chCtrlFrame-23 = CtrlFrame-23:COM-HANDLE
    UIB_S = chCtrlFrame-23:LoadControls( OCXFile, "CtrlFrame-23":U)
    CtrlFrame-23:NAME = "CtrlFrame-23":U
    chCtrlFrame-24 = CtrlFrame-24:COM-HANDLE
    UIB_S = chCtrlFrame-24:LoadControls( OCXFile, "CtrlFrame-24":U)
    CtrlFrame-24:NAME = "CtrlFrame-24":U
    chCtrlFrame-25 = CtrlFrame-25:COM-HANDLE
    UIB_S = chCtrlFrame-25:LoadControls( OCXFile, "CtrlFrame-25":U)
    CtrlFrame-25:NAME = "CtrlFrame-25":U
    chCtrlFrame-26 = CtrlFrame-26:COM-HANDLE
    UIB_S = chCtrlFrame-26:LoadControls( OCXFile, "CtrlFrame-26":U)
    CtrlFrame-26:NAME = "CtrlFrame-26":U
    chCtrlFrame-27 = CtrlFrame-27:COM-HANDLE
    UIB_S = chCtrlFrame-27:LoadControls( OCXFile, "CtrlFrame-27":U)
    CtrlFrame-27:NAME = "CtrlFrame-27":U
    chCtrlFrame-28 = CtrlFrame-28:COM-HANDLE
    UIB_S = chCtrlFrame-28:LoadControls( OCXFile, "CtrlFrame-28":U)
    CtrlFrame-28:NAME = "CtrlFrame-28":U
    chCtrlFrame-29 = CtrlFrame-29:COM-HANDLE
    UIB_S = chCtrlFrame-29:LoadControls( OCXFile, "CtrlFrame-29":U)
    CtrlFrame-29:NAME = "CtrlFrame-29":U
    chCtrlFrame-3 = CtrlFrame-3:COM-HANDLE
    UIB_S = chCtrlFrame-3:LoadControls( OCXFile, "CtrlFrame-3":U)
    CtrlFrame-3:NAME = "CtrlFrame-3":U
    chCtrlFrame-30 = CtrlFrame-30:COM-HANDLE
    UIB_S = chCtrlFrame-30:LoadControls( OCXFile, "CtrlFrame-30":U)
    CtrlFrame-30:NAME = "CtrlFrame-30":U
    chCtrlFrame-31 = CtrlFrame-31:COM-HANDLE
    UIB_S = chCtrlFrame-31:LoadControls( OCXFile, "CtrlFrame-31":U)
    CtrlFrame-31:NAME = "CtrlFrame-31":U
  .
  ASSIGN
    chCtrlFrame-32 = CtrlFrame-32:COM-HANDLE
    UIB_S = chCtrlFrame-32:LoadControls( OCXFile, "CtrlFrame-32":U)
    CtrlFrame-32:NAME = "CtrlFrame-32":U
    chCtrlFrame-33 = CtrlFrame-33:COM-HANDLE
    UIB_S = chCtrlFrame-33:LoadControls( OCXFile, "CtrlFrame-33":U)
    CtrlFrame-33:NAME = "CtrlFrame-33":U
    chCtrlFrame-34 = CtrlFrame-34:COM-HANDLE
    UIB_S = chCtrlFrame-34:LoadControls( OCXFile, "CtrlFrame-34":U)
    CtrlFrame-34:NAME = "CtrlFrame-34":U
    chCtrlFrame-35 = CtrlFrame-35:COM-HANDLE
    UIB_S = chCtrlFrame-35:LoadControls( OCXFile, "CtrlFrame-35":U)
    CtrlFrame-35:NAME = "CtrlFrame-35":U
    chCtrlFrame-36 = CtrlFrame-36:COM-HANDLE
    UIB_S = chCtrlFrame-36:LoadControls( OCXFile, "CtrlFrame-36":U)
    CtrlFrame-36:NAME = "CtrlFrame-36":U
    chCtrlFrame-37 = CtrlFrame-37:COM-HANDLE
    UIB_S = chCtrlFrame-37:LoadControls( OCXFile, "CtrlFrame-37":U)
    CtrlFrame-37:NAME = "CtrlFrame-37":U
    chCtrlFrame-38 = CtrlFrame-38:COM-HANDLE
    UIB_S = chCtrlFrame-38:LoadControls( OCXFile, "CtrlFrame-38":U)
    CtrlFrame-38:NAME = "CtrlFrame-38":U
    chCtrlFrame-39 = CtrlFrame-39:COM-HANDLE
    UIB_S = chCtrlFrame-39:LoadControls( OCXFile, "CtrlFrame-39":U)
    CtrlFrame-39:NAME = "CtrlFrame-39":U
    chCtrlFrame-4 = CtrlFrame-4:COM-HANDLE
    UIB_S = chCtrlFrame-4:LoadControls( OCXFile, "CtrlFrame-4":U)
    CtrlFrame-4:NAME = "CtrlFrame-4":U
    chCtrlFrame-40 = CtrlFrame-40:COM-HANDLE
    UIB_S = chCtrlFrame-40:LoadControls( OCXFile, "CtrlFrame-40":U)
    CtrlFrame-40:NAME = "CtrlFrame-40":U
    chCtrlFrame-5 = CtrlFrame-5:COM-HANDLE
    UIB_S = chCtrlFrame-5:LoadControls( OCXFile, "CtrlFrame-5":U)
    CtrlFrame-5:NAME = "CtrlFrame-5":U
    chCtrlFrame-6 = CtrlFrame-6:COM-HANDLE
    UIB_S = chCtrlFrame-6:LoadControls( OCXFile, "CtrlFrame-6":U)
    CtrlFrame-6:NAME = "CtrlFrame-6":U
    chCtrlFrame-7 = CtrlFrame-7:COM-HANDLE
    UIB_S = chCtrlFrame-7:LoadControls( OCXFile, "CtrlFrame-7":U)
    CtrlFrame-7:NAME = "CtrlFrame-7":U
    chCtrlFrame-8 = CtrlFrame-8:COM-HANDLE
    UIB_S = chCtrlFrame-8:LoadControls( OCXFile, "CtrlFrame-8":U)
    CtrlFrame-8:NAME = "CtrlFrame-8":U
    chCtrlFrame-9 = CtrlFrame-9:COM-HANDLE
    UIB_S = chCtrlFrame-9:LoadControls( OCXFile, "CtrlFrame-9":U)
    CtrlFrame-9:NAME = "CtrlFrame-9":U
  .
  RUN initialize-controls IN THIS-PROCEDURE NO-ERROR.
END.
ELSE MESSAGE "wWinCaptions.wrx":U SKIP(1)
             "The binary control file could not be found. The controls cannot be loaded."
             VIEW-AS ALERT-BOX TITLE "Controls Not Loaded".

&ENDIF

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI C-Win  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Delete the WINDOW we created */
  IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
  THEN DELETE WIDGET C-Win.
  IF THIS-PROCEDURE:PERSISTENT THEN DELETE PROCEDURE THIS-PROCEDURE.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE drawCaption C-Win 
PROCEDURE drawCaption PRIVATE :
/* ----------------------------------------------------------------------------
PURPOSE:  
NOTES:  
HISTORY:
2009/04/23 dries edp  : Creation.
---------------------------------------------------------------------------- */

DEFINE VARIABLE iHwnd   AS INTEGER     NO-UNDO.
DEFINE VARIABLE iDc     AS INTEGER     NO-UNDO.
DEFINE VARIABLE iRetVal AS INTEGER     NO-UNDO.
DEFINE VARIABLE iBrush  AS INTEGER     NO-UNDO.
DEFINE VARIABLE iColorR AS INTEGER     NO-UNDO.
DEFINE VARIABLE iColorG AS INTEGER     NO-UNDO.
DEFINE VARIABLE iColorB AS INTEGER     NO-UNDO.
DEFINE VARIABLE iCount  AS INTEGER     NO-UNDO.

  ASSIGN iHwnd = ttControls.hWin:HWND.
  IF iHwnd <> ? AND ttControls.hWin:VISIBLE = TRUE THEN DO:
    RUN GetParent(INPUT iHwnd, OUTPUT iHwnd).
    RUN getWindowDC (INPUT iHwnd, OUTPUT iDc).

    DO iColorR = 0 TO 254 BY 85:
      DO iColorG = 0 TO 254 BY 85:
        DO iColorB = 0 TO 254 BY 85:
    
          RUN CreateSolidBrush (INPUT RGB-VALUE(iColorR,iColorG,iColorB) , 
                                OUTPUT iBrush).
    
          RUN SelectObject (INPUT idc,
                            INPUT iBrush,
                            OUTPUT iRetVal).
          
          RUN RoundRect (INPUT idc,
                         INPUT ttControls.hWin:WIDTH-PIXELS - 70 - iCount * 16,
                         INPUT 6,
                         INPUT ttControls.hWin:WIDTH-PIXELS - 55 - iCount * 16,
                         INPUT 20,
                         INPUT 10,
                         INPUT 10,
                         OUTPUT iRetVal).
    
          RUN DeleteObject (INPUT iBrush,
                            OUTPUT iRetVal).
          
          ASSIGN iCount = iCount + 1.
        END.
      END.
    END.
    RUN ReleaseDC (INPUT iHwnd, 
                   INPUT idc,
                   OUTPUT iRetVal).

    RUN SetWindowRgn (INPUT iHwnd,
                      INPUT idc,
                      INPUT 1,
                      OUTPUT iRetVal).



  END.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE enable_UI C-Win  _DEFAULT-ENABLE
PROCEDURE enable_UI :
/*------------------------------------------------------------------------------
  Purpose:     ENABLE the User Interface
  Parameters:  <none>
  Notes:       Here we display/view/enable the widgets in the
               user-interface.  In addition, OPEN all queries
               associated with each FRAME and BROWSE.
               These statements here are based on the "Other 
               Settings" section of the widget Property Sheets.
------------------------------------------------------------------------------*/
  RUN control_load.
  VIEW FRAME DEFAULT-FRAME IN WINDOW C-Win.
  {&OPEN-BROWSERS-IN-QUERY-DEFAULT-FRAME}
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE initialize-controls C-Win 
PROCEDURE initialize-controls :
/* ----------------------------------------------------------------------------
PURPOSE:  
NOTES:  
HISTORY:
2009/04/23 dries edp  : Creation.
---------------------------------------------------------------------------- */
DEFINE VARIABLE hControl AS HANDLE           NO-UNDO.
DEFINE VARIABLE hTempo   AS COMPONENT-HANDLE NO-UNDO.
DEFINE VARIABLE iHwnd    AS INTEGER     NO-UNDO.

ASSIGN hControl = FRAME {&FRAME-NAME}:FIRST-CHILD:FIRST-CHILD.

DO WHILE VALID-HANDLE(hControl):
  CREATE ttControls.
  ASSIGN hTempo = hControl:COM-HANDLE
    ttControls.hOcx = hTempo:MsgBlst32
    ttControls.hOcx:MsgList(0) = 70
    ttControls.hOcx:MsgPassage(0) = 1
    ttControls.hOcx:MsgList(1) = 6
    ttControls.hOcx:MsgPassage(1) = 1
    ttControls.hOcx:MsgList(2) = 5
    ttControls.hOcx:MsgPassage(2) = 1
    ttControls.hOcx:MsgList(3) = 133
    ttControls.hOcx:MsgPassage(3) = 1
    ttControls.hOcx:MsgList(4) = 12
    ttControls.hOcx:MsgPassage(4) = -1
/*     ttControls.hOcx:MsgList(5) = 13   */
/*     ttControls.hOcx:MsgPassage(5) = 1 */
/*     ttControls.hOcx:MsgList(6) = 14   */
/*     ttControls.hOcx:MsgPassage(6) = 1 */
    hControl = hControl:NEXT-SIBLING.
END.



ASSIGN ttControls.hWin = {&WINDOW-NAME}
  iHwnd = ttControls.hWin:HWND.

RUN GetParent(INPUT iHwnd, OUTPUT iHwnd).

IF ttControls.hOcx:hwndtarget <> iHwnd THEN
  ASSIGN ttControls.hOcx:hwndtarget = iHwnd.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE redrawCaption C-Win 
PROCEDURE redrawCaption :
/* ----------------------------------------------------------------------------
PURPOSE:  
NOTES:  
HISTORY:
2009/04/23 dries edp  : Creation.
---------------------------------------------------------------------------- */
DEFINE VARIABLE hTempo  AS COMPONENT-HANDLE      NO-UNDO.

ASSIGN hTempo = self:COM-HANDLE
  hTempo = hTempo:MsgBlst32.

FIND ttControls WHERE ttControls.hOcx = hTempo NO-ERROR.

IF AVAIL ttControls THEN RUN drawCaption.


END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

